# Class ArgumentOutOfRangeError

An error that is thrown when a required method argument is missing.

#### Hierarchy (view full)

- ArgumentError
  - ArgumentOutOfRangeError

#####
Index

### Constructors

constructor

### Properties

parameter

##
Constructors

### constructor

- new ArgumentOutOfRangeError(parameter, message?): ArgumentOutOfRangeError

- Initializes a new instance of the ArgumentOutOfRangeError class.

  #### Parameters

  - parameter: string

    The name of the parameter.

  - `Optional` message: string

    The error message. If not specified, a default one will be used.

  #### Returns ArgumentOutOfRangeError

  Overrides ArgumentError.constructor

##
Properties

### parameter

parameter: string

The name of the method parameter corresponding to the invalid argument.

Inherited from ArgumentError.parameter